Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface MetamodelType

All Superinterfaces:
  ElementType, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MetamodelTypeImpl

    public interface MetamodelType

extends ElementType

A representation of the model object 'Metamodel Type'. Element type based on ecore type

The following features are supported:

- `Edit Helper Class Name`

See Also:
  `GMFGenPackage.getMetamodelType()`
** Generated **
Model:

Field Summary
`static java.lang.String` `EDIT_HELPER_SUFFIX`

Method Summary
`java.lang.String` `getEditHelperClassName()` Returns the value of the 'Edit Helper Class Name' attribute
`java.lang.String` `getEditHelperQualifiedClassName()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getMetaClass()`
`void` `setEditHelperClassName(java.lang.String value)` Sets the value of the '`Edit Helper Class Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.ElementType
`getDiagramElement, getDisplayName, getUniqueIdentifier, isDefinedExternally, setDefinedExternally, setDiagramElement, setDisplayName, setUniqueIdentifier`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### EDIT_HELPER_SUFFIX

    static final java.lang.String EDIT_HELPER_SUFFIX

See Also:
  Constant Field Values

Method Detail

### getEditHelperClassName

    java.lang.String getEditHelperClassName()

  Returns the value of the 'Edit Helper Class Name' attribute.

  If the meaning of the 'Edit Helper Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Helper Class Name' attribute.
  See Also:
    `setEditHelperClassName(String)`, `GMFGenPackage.getMetamodelType_EditHelperClassName()`
  ** Generated **
  Model:

### setEditHelperClassName

    void setEditHelperClassName(java.lang.String value)

  Sets the value of the '`Edit Helper Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Helper Class Name' attribute.
  See Also:
    `getEditHelperClassName()`
  ** Generated **

### getEditHelperQualifiedClassName

    java.lang.String getEditHelperQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getMetaClass

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getMetaClass()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.